@import "~@material/shape/mixins";
@import "~@material/shape/functions";
@import 'src/assets/scss/lightbox-theme';

// top app -bar
// postcss-bem-linter: define top-app-bar


.mdc-top-app-bar {
	background-color: $mde-theme-top-menu;

	&__section {
		&--align-center {
			justify-content: center;
			order: -1;
		}
		&--align-end {
			padding-top: 0;
			padding-bottom: 0;
		}

		a.mdc-top-app-bar__title{
			font-size: 22px;
			cursor: pointer;
			margin-right: 100px;

		}

	}
	&__menu{
		&-item{
			color: $mdc-theme-on-primary;
			margin-right: 30px;
			text-decoration: none;
			&:hover{
				text-decoration: none;
			}
			&.mdc-menu-item-active{
				color: $mdc-theme-error
			}
		}
	}
	&__title{
		&a:hover{
			text-decoration: none;
		}
	}
	&__action-item{
		&a:hover{
			text-decoration: none;
		}

		&.mdc-top-app-bar__status-item {
			text-decoration: none;
			color: $mdc-theme-on-primary;
			width: auto;
			font-size: 18px;
			height: 100%;
			&:hover, &.active{
				background-color: #4C4C4C;
			}
			&.mdc-top-app-bar__action-item{
				&::before, &::after {
					background-color: transparent;
				}
			}
			.mdc-status-img{
				//@include mdc-shape-radius(50%);
				//object-fit: cover;
				//width: 48px;
				//height: 48px;
				margin-right: 10px;
				img{
					border: 2px solid $mdc-theme-error;
				}
			}
		}
	}

	.mdc-top-app-bar__row{
		height: 60px;
}
	&.main-header{
		.mdc-top-app-bar__section--align-end{
			padding-top: 0;
			padding-bottom: 0;
		}
		.mdc-menu-surface--anchor{
			height: 100%;
		}

		background-color: $mde-theme-top-menu;

		.mdc-top-app-bar__row{
			height: 60px;
		}
	}

}

.mdc-menu{
	&.mdc-menu-mobile{
		left: 0 !important;
		.mdc-top-app-bar__menu-item{
			color: $mdc-theme-secondary;
			&.mdc-menu-item-active{
				color: $mdc-theme-error
			}
		}
	}

	&.mdc-menu-profile{
		min-width: 195px;
		.mdc-list{
			padding-top: 0;
			padding-bottom: 0;
			.mdc-list-item__graphic{
				width: auto;
				height: auto;
				width: 42px;
				margin-right: 15px;
			}
			.mdc-list-divider{
				margin: 0 10px;
				padding: 0 10px;
			}
		}

	}
}


